%% June 2019
%% ENOC2020 class file for LaTeX modified by Sebastien Baguet, University of Lyon, France 
%% based on 
%% ENOC2017 class file for LaTeX modified by Gabor Csernak, Budapest University of Technolgy and Economics
%% ENOC2014 class file for LaTeX modified by Horst Ecker, Vienna University of Technolgy
%% ENOC2011 class file for LaTeX generated by Andrea Arena, Sapienza University of Rome
%% This *.cls file was generated with a LateX2.E version, the font selection system is different from the previous LateX2.09 version
%% For the "fancy header" style the LaTeX2.09 users must specify into the *.tex file [fancyhdr] command in \documentstyle instead of the \usepackage{fancyhdr}
%% i.e.: \documentstyle[a4,fancyhdr]{enoc2020}.
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{enoc2020}[2019/06/05 ENOC2020 paper class]
\DeclareOption{10pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass[10pt,a4paper]{article_enoc}
\RequirePackage{calc}
\RequirePackage{indentfirst}
\RequirePackage{amsmath,amsfonts,amssymb,bm}
\RequirePackage{graphicx,color}
\usepackage{times}
\usepackage{fancyhdr}%% only for LateX2.E
%\newcommand{\otherfont}[2]{{\fontencoding{T1}\fontfamily{#1}%
%\selectfont#2}}
\usepackage[T1]{fontenc}
\setlength{\voffset}{-1in}
\setlength{\hoffset}{-1in}
\setlength{\oddsidemargin}{20mm}
\setlength{\topmargin}{5mm}
\setlength{\headheight}{12pt}
\setlength{\headsep}{10mm}
\setlength{\textheight}{257mm}
\setlength{\textwidth}{170mm}
\setlength{\textfloatsep}{10pt}
\setlength{\abovedisplayskip}{0pt}
\setlength{\belowdisplayskip}{0pt}
\setlength{\parindent}{0mm}
\setlength{\footskip}{0mm}
\setlength{\itemsep}{0pt}
\setlength{\marginparwidth}{0mm}
\setlength{\marginparsep}{0mm}
\pagestyle{fancy}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
\fancyhead{}
%\fancyhead[R]{\otherfont{ua1}{\textbf{ENOC 2020}, July 5-10, 2020, Lyon, France}}
\fancyhead[R]{\textbf{ENOC 2020+2}, July 17-22, 2022, Lyon, France}
\fancyfoot{}
\renewcommand{\@maketitle}{
 \begin{center}
  {
   \fontsize{13}{13}\selectfont
   \bfseries
   \@title
    \par
  }
  \vspace{12pt}
  {
   \fontsize{12}{12}\selectfont\@author
   \par
  }
    {
   \def\and{\\\vspace{12pt}}
   \fontsize{12}{12}\selectfont\itshape\@address
   \par
  }
 \end{center}
  \noindent {{\em \underline{Summary}}.\space }{\@abstract}
 }
\def\author{\@ifnextchar[{\@getshortauthor}{\@getauthor}}
\def\@getauthor#1{\gdef\@author{#1}\gdef\@shortauthor{#1}}
\def\@getshortauthor[#1]#2{\gdef\@shortauthor{#1}\gdef\@author{#2}}
\newcommand{\address}[1]{\gdef\@address{#1}}
\newcommand{\keywords}[1]{\gdef\@keywords{#1}}
\renewcommand{\abstract}[1]{\gdef\@abstract{\fontsize{9pt}{9pt}\selectfont #1}}
\newcommand{\heading}[1]{\gdef\@heading{#1}}

\renewcommand{\@makecaption}[2]{%
 \setlength{\abovecaptionskip}{ 6pt plus 2pt minus 2pt}
  \setlength{\belowcaptionskip}{ 3pt plus 1pt minus 1pt}
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\fontsize{9}{9}\selectfont #1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    \fontsize{9}{9}\selectfont #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\AtBeginDocument{
   \maketitle
  \let\maketitle\relax
}
% Command Definition
\newcommand{\vect}[1]{\underline{#1}}  
\newcommand{\tens}[1]{\underline {\underline {#1}}}  
\def\div{\mathop{\rm div}\nolimits}
%
\endinput 

